Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594929 - [abrt] crash in emesene-1.6-1.fc12: Controller.py:293:login:KeyError: 'receiveP4context'
Summary: [abrt] crash in emesene-1.6-1.fc12: Controller.py:293:login:KeyError: 'receiv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emesene
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8122e3e4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 00:59 UTC by Patricio Olave
Modified: 2010-08-03 01:08 UTC (History)
4 users (show)

Fixed In Version: emesene-1.6.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-03 00:52:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-22 00:59 UTC, Patricio Olave
no flags Details

Description Patricio Olave 2010-05-22 00:59:36 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/emesene/emesene
component: emesene
executable: /usr/share/emesene/emesene
kernel: 2.6.32.10-90.fc12.i686.PAE
package: emesene-1.6-1.fc12
reason: Controller.py:293:login:KeyError: 'receiveP4context'
release: Fedora release 12 (Constantine)

backtrace
-----
Controller.py:293:login:KeyError: 'receiveP4context'

Traceback (most recent call last):
  File "/usr/share/emesene/Login.py", line 460, in on_comboxEntry_keyrelease
    self.login()
  File "/usr/share/emesene/Login.py", line 337, in login
    self.controller.login(self.getUser() , self.getPass() , self.getStatus())
  File "/usr/share/emesene/Controller.py", line 293, in login
    self.config.user['receiveP4context']) # ugly, but i'm lazy
KeyError: 'receiveP4context'

Local variables in innermost frame:
status: 'online'
self: <Controller object at 0x8db5504 (Controller+Controller at 0x8d03340)>
server: 'messenger.hotmail.com'
user: ''
password: ''
proxy: None

Comment 1 Patricio Olave 2010-05-22 00:59:39 UTC
Created attachment 415810 [details]
File: backtrace

Comment 2 Fedora Update System 2010-07-14 03:39:45 UTC
emesene-1.6.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emesene-1.6.3-1.fc12

Comment 3 Fedora Update System 2010-07-14 03:41:26 UTC
emesene-1.6.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emesene-1.6.3-1.fc13

Comment 4 Fedora Update System 2010-07-14 22:57:51 UTC
emesene-1.6.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emesene'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emesene-1.6.3-1.fc12

Comment 5 Fedora Update System 2010-07-14 23:03:06 UTC
emesene-1.6.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emesene'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emesene-1.6.3-1.fc13

Comment 6 Fedora Update System 2010-08-03 00:48:39 UTC
emesene-1.6.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-08-03 01:04:46 UTC
emesene-1.6.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.